<template>
  <div id="app" class="colorNormal">
    <router-view></router-view>
  </div>
</template>

<script>
export default {};
</script>

<style lang="scss" >
@import "./assets/css/common.css";

* {
  margin: 0;
  padding: 0;
}

html,
body {
  height: 100%;
  min-width: 1280px;
}

#app {
  position: relative;
  min-height: 100%;
}

html {
  font-family: PingFang SC;
}

ul,
li {
  list-style: none;
  padding: 0px;
  margin: 0px;
}

.iconfont,
img {
  user-select: none;
}

a {
  text-decoration: none;
  color: inherit;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  -webkit-appearance: none;
  -webkit-text-size-adjust: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-touch-callout: none;
  border-bottom: none;
  display: block;
}

.el-input {
  .el-input__inner {
    width: 100%;
    color: #3d3d3d;
    border-radius: 0;
    border-color: #c0c5cc;
    &::-webkit-input-placeholder {
      color: #999999;
    }

    &:focus {
      border-color: #0065ff;
    }
  }
}

.el-select {
  width: 100%;

  input.el-input__inner:focus {
    border-color: #0065ff;
  }

  .el-input.is-focus input.el-input__inner {
    border-color: #0065ff;
  }

  input {
    border-radius: 0;
    height: 32px;
  }
}

.el-textarea {
  textarea {
    border: 1px solid #c0c5cc;
    border-radius: 0;

    &:focus {
      border-color: #0065ff;
    }
  }
}

.h32 {
  height: 32px;
  line-height: 32px;

  ::v-deep input {
    height: 32px;
  }

  .el-icon-arrow-up {
    line-height: 32px;
  }

  ::v-deep .el-icon-arrow-up {
    height: 32px;
  }
}

.scroll {
  /*滚动条宽 长,滚动条整体部分，其中的属性有width,height,background,border等。*/

  &::-webkit-scrollbar {
    width: 6px;
  }

  /*滚动条的滑轨背景颜色,可以用display:none让其不显示，也可以添加背景图片，颜色改变显示效果。*/

  &::-webkit-scrollbar-track {
    display: none;
  }

  /* 滑块颜色 */

  &::-webkit-scrollbar-thumb {
    background-color: #e9ebee;

    border-radius: 3px;
  }

  /*滚动条两端的按钮。可以用display:none让其不显示，也可以添加背景图片，颜色改变显示效果。*/

  &::-webkit-scrollbar-button {
    display: none;
  }

  /* 横向滚动条和纵向滚动条相交处尖角的颜色 */

  &::-webkit-scrollbar-corner {
    background-color: black;
  }
}

.gutter {
  background-color: rgb(233, 235, 238);
  padding: 1px;

  &::after {
    display: none;
  }

  td.index .cell {
    padding-left: 16px;
    padding-right: 4px;
  }

  .has-gutter tr th {
    background: #f0f3f5;
    font-size: 16px;
    color: #3d3d3d;
    font-weight: 700;
  }

  td .cell {
    color: #3d3d3d;
  }

  tr:hover > td.el-table__cell {
    background-color: #fff;
  }

  .el-table__row--striped .el-table__cell {
    background-color: #f0f5fa !important;
  }
  tr:hover > td.el-table__cell {
    background-color: #fff;
  }

  .el-table__row--striped .el-table__cell {
    background-color: #f0f5fa !important;
  }
}
</style>
